# Uses of Interface
org.eclipse.ecf.discovery.IServiceInfo

Packages that use IServiceInfo
Package
Description
org.eclipse.ecf.discovery
org.eclipse.ecf.discovery.identity
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.zookeeper.core
org.eclipse.ecf.provider.zookeeper.util

## Uses of IServiceInfo in org.eclipse.ecf.discovery

Classes in org.eclipse.ecf.discovery that implement IServiceInfo
Modifier and Type
Class
Description
`class`
`ServiceInfo`
Base implementation of `IServiceInfo`.
Fields in org.eclipse.ecf.discovery declared as IServiceInfo
Modifier and Type
Field
Description
`protected IServiceInfo`
ServiceContainerEvent.`info`
Methods in org.eclipse.ecf.discovery that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
IDiscoveryLocator.`getServiceInfo(IServiceID aServiceID)`
Synchronously retrieve info about the service
`IServiceInfo`
IServiceEvent.`getServiceInfo()`
Get the service info associated with this event
`IServiceInfo`
ServiceContainerEvent.`getServiceInfo()`
`IServiceInfo[]`
IDiscoveryLocator.`getServices()`
Synchronously get service info about all known services
`IServiceInfo[]`
IDiscoveryLocator.`getServices(IServiceTypeID aServiceTypeID)`
Synchronously get service info about all known services of given service type
`IServiceInfo[]`
AbstractDiscoveryContainerAdapter.`purgeCache()`
`IServiceInfo[]`
IDiscoveryLocator.`purgeCache()`
Purges the underlying IServiceInfo cache if available in the current provider
Methods in org.eclipse.ecf.discovery with parameters of type IServiceInfo
Modifier and Type
Method
Description
`protected IServiceEvent`
AbstractDiscoveryContainerAdapter.`getServiceEvent(IServiceInfo iServiceInfo, ID id)`
`void`
IDiscoveryAdvertiser.`registerService(IServiceInfo serviceInfo)`
Register the given service.
`void`
IDiscoveryAdvertiser.`unregisterService(IServiceInfo serviceInfo)`
Unregister a previously registered service defined by serviceInfo.
Constructors in org.eclipse.ecf.discovery with parameters of type IServiceInfo
Modifier
Constructor
Description
``
`ServiceContainerEvent(IServiceInfo info, ID containerID)`

## Uses of IServiceInfo in org.eclipse.ecf.discovery.identity

Fields in org.eclipse.ecf.discovery.identity declared as IServiceInfo
Modifier and Type
Field
Description
`protected IServiceInfo`
ServiceID.`serviceInfo`
Methods in org.eclipse.ecf.discovery.identity that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
ServiceID.`getServiceInfo()`
Methods in org.eclipse.ecf.discovery.identity with parameters of type IServiceInfo
Modifier and Type
Method
Description
`void`
ServiceID.`setServiceInfo(IServiceInfo serviceInfo)`

## Uses of IServiceInfo in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
IServiceInfoFactory.`createServiceInfo(IDiscoveryAdvertiser advertiser, EndpointDescription endpointDescription)`
Create an service info instance to represent the given endpointDescription for discovery using the given discovery advertiser.
`protected IServiceInfo`
ServiceInfoFactory.`createServiceInfo(URI uri, String serviceName, IServiceTypeID serviceTypeID, IServiceProperties serviceProperties)`
`IServiceInfo`
ServiceInfoFactory.`createServiceInfo(IDiscoveryAdvertiser advertiser, EndpointDescription endpointDescription)`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type IServiceInfo
Modifier and Type
Method
Description
`DiscoveredEndpointDescription`
DiscoveredEndpointDescriptionFactory.`createDiscoveredEndpointDescription(IDiscoveryLocator locator, IServiceInfo discoveredServiceInfo)`
`protected DiscoveredEndpointDescription`
DiscoveredEndpointDescriptionFactory.`createDiscoveredEndpointDescription(IDiscoveryLocator locator, IServiceInfo discoveredServiceInfo, EndpointDescription endpointDescription)`
`DiscoveredEndpointDescription`
IDiscoveredEndpointDescriptionFactory.`createDiscoveredEndpointDescription(IDiscoveryLocator locator, IServiceInfo discoveredServiceInfo)`
Create an EndpointDescription for a discovered remote service.
`protected EndpointDescription`
DiscoveredEndpointDescriptionFactory.`createEndpointDescription(IDiscoveryLocator locator, IServiceInfo discoveredServiceInfo)`

## Uses of IServiceInfo in org.eclipse.ecf.provider.dnssd

Methods in org.eclipse.ecf.provider.dnssd that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
DnsSdDiscoveryContainerAdapter.`getServiceInfo(IServiceID aServiceId)`
`IServiceInfo`
DnsSdDiscoveryLocator.`getServiceInfo(IServiceID aServiceId)`
`IServiceInfo[]`
DnsSdDiscoveryContainerAdapter.`getServices()`
`IServiceInfo[]`
DnsSdDiscoveryContainerAdapter.`getServices(IServiceTypeID aServiceTypeId)`
`IServiceInfo[]`
DnsSdDiscoveryLocator.`getServices()`
`IServiceInfo[]`
DnsSdDiscoveryLocator.`getServices(IServiceTypeID aServiceTypeId)`
`IServiceInfo[]`
DnsSdDiscoveryAdvertiser.`purgeCache()`
Methods in org.eclipse.ecf.provider.dnssd with parameters of type IServiceInfo
Modifier and Type
Method
Description
`void`
DnsSdDiscoveryAdvertiser.`registerService(IServiceInfo serviceInfo)`
`void`
DnsSdDiscoveryContainerAdapter.`registerService(IServiceInfo serviceInfo)`
`protected void`
DnsSdDiscoveryAdvertiser.`sendToServer(IServiceInfo serviceInfo, boolean mode)`
`void`
DnsSdDiscoveryAdvertiser.`unregisterService(IServiceInfo serviceInfo)`
`void`
DnsSdDiscoveryContainerAdapter.`unregisterService(IServiceInfo serviceInfo)`

## Uses of IServiceInfo in org.eclipse.ecf.provider.jslp.container

Classes in org.eclipse.ecf.provider.jslp.container that implement IServiceInfo
Modifier and Type
Class
Description
`class`
`JSLPServiceInfo`
Methods in org.eclipse.ecf.provider.jslp.container that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
JSLPDiscoveryContainer.`getServiceInfo(IServiceID service)`
`IServiceInfo[]`
JSLPDiscoveryContainer.`getServices()`
`IServiceInfo[]`
JSLPDiscoveryContainer.`getServices(IServiceTypeID type)`
`IServiceInfo[]`
JSLPDiscoveryContainer.`purgeCache()`
Methods in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceInfo
Modifier and Type
Method
Description
`void`
JSLPDiscoveryContainer.`fireServiceDiscovered(IServiceInfo iinfo)`
`void`
JSLPDiscoveryContainer.`fireServiceUndiscovered(IServiceInfo iinfo)`
`void`
JSLPDiscoveryContainer.`registerService(IServiceInfo aServiceInfo)`
`void`
JSLPDiscoveryContainer.`unregisterService(IServiceInfo aServiceInfo)`
Constructors in org.eclipse.ecf.provider.jslp.container with parameters of type IServiceInfo
Modifier
Constructor
Description
``
`JSLPServiceInfo(IServiceInfo aSI)`

## Uses of IServiceInfo in org.eclipse.ecf.provider.zookeeper.core

Classes in org.eclipse.ecf.provider.zookeeper.core that implement IServiceInfo
Modifier and Type
Class
Description
`class`
`AdvertisedService`
Encapsulate a service to be advertised and made visible for discovery.
`class`
`DiscoverdService`
Methods in org.eclipse.ecf.provider.zookeeper.core that return IServiceInfo
Modifier and Type
Method
Description
`IServiceInfo`
ZooDiscoveryContainer.`getServiceInfo(IServiceID serviceID)`
`IServiceInfo[]`
ZooDiscoveryContainer.`getServices()`
`IServiceInfo[]`
ZooDiscoveryContainer.`getServices(IServiceTypeID type)`
`static IServiceInfo`
AdvertisedService.`removePublished(String id)`
Methods in org.eclipse.ecf.provider.zookeeper.core that return types with arguments of type IServiceInfo
Modifier and Type
Method
Description
`static Map<String,IServiceInfo>`
AdvertisedService.`getPublishedServices()`
Methods in org.eclipse.ecf.provider.zookeeper.core with parameters of type IServiceInfo
Modifier and Type
Method
Description
`void`
ZooDiscoveryContainer.`registerService(IServiceInfo serviceInfo)`
`void`
ZooDiscoveryContainer.`unregisterService(IServiceInfo serviceInfo)`
Constructors in org.eclipse.ecf.provider.zookeeper.core with parameters of type IServiceInfo
Modifier
Constructor
Description
``
`AdvertisedService(IServiceInfo serviceInfo)`

## Uses of IServiceInfo in org.eclipse.ecf.provider.zookeeper.util

Methods in org.eclipse.ecf.provider.zookeeper.util with parameters of type IServiceInfo
Modifier and Type
Method
Description
`static String`
PrettyPrinter.`prompt(int type, IServiceInfo serviceInfo)`